Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.windows
Class WindowsToolBarUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.ToolBarUI
              javax.swing.plaf.basic.BasicToolBarUI
                  javax.swing.plaf.metal.MetalToolBarUI
                      com.jgoodies.looks.windows.WindowsToolBarUI

All Implemented Interfaces:
  SwingConstants

    public final class WindowsToolBarUI

extends MetalToolBarUI

Corrects superclass behavior for rollover borders and adds behavior for handling different types of borders.

Version:
  $Revision: 1.4 $
Author:
  Karsten Lentzsch

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.plaf.metal.MetalToolBarUI
`MetalToolBarUI.MetalContainerListener, MetalToolBarUI.MetalDockingListener, MetalToolBarUI.MetalRolloverListener`

Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicToolBarUI
`BasicToolBarUI.DockingListener, BasicToolBarUI.DragWindow, BasicToolBarUI.FrameListener, BasicToolBarUI.PropertyListener, BasicToolBarUI.ToolBarContListener, BasicToolBarUI.ToolBarFocusListener`

Field Summary

Fields inherited from class javax.swing.plaf.metal.MetalToolBarUI
`contListener, rolloverListener`

Fields inherited from class javax.swing.plaf.basic.BasicToolBarUI
`constraintBeforeFloating, dockingBorderColor, dockingColor, dockingListener, downKey, dragWindow, floatingBorderColor, floatingColor, focusedCompIndex, leftKey, propertyListener, rightKey, toolBar, toolBarContListener, toolBarFocusListener, upKey`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Constructor Summary
`WindowsToolBarUI()`

Method Summary
`protected MouseInputListener` | `createDockingListener()` Unlike the superclass MetalToolBarUI, this class uses the docking listener from the BasicToolBarUI.
`protected Border` | `createRolloverBorder()`
`static ComponentUI` | `createUI(JComponent b)`
`protected void` | `installDefaults()`
`protected void` | `installListeners()`
`protected void` | `setBorderToRollover(Component c)`
`protected void` | `uninstallListeners()`

Methods inherited from class javax.swing.plaf.metal.MetalToolBarUI
`createContainerListener, createNonRolloverBorder, createRolloverListener, installUI, setBorderToNonRollover, setDragOffset, uninstallUI, update`

Methods inherited from class javax.swing.plaf.basic.BasicToolBarUI
`canDock, createDragWindow, createFloatingFrame, createFloatingWindow, createFrameListener, createPropertyListener, createToolBarContListener, createToolBarFocusListener, dragTo, floatAt, getDockingColor, getFloatingColor, getNonRolloverBorder, getRolloverBorder, installComponents, installKeyboardActions, installNonRolloverBorders, installNormalBorders, installRolloverBorders, isFloating, isRolloverBorders, navigateFocusedComp, paintDragWindow, setBorderToNormal, setDockingColor, setFloating, setFloatingColor, setFloatingLocation, setOrientation, setRolloverBorders, uninstallComponents, uninstallDefaults, uninstallKeyboardActions`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowsToolBarUI

    public WindowsToolBarUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### installDefaults

    protected void installDefaults()

  Overrides:
    `installDefaults` in class `BasicToolBarUI`

### installListeners

    protected void installListeners()

  Overrides:
    `installListeners` in class `MetalToolBarUI`

### uninstallListeners

    protected void uninstallListeners()

  Overrides:
    `uninstallListeners` in class `MetalToolBarUI`

### createDockingListener

    protected MouseInputListener createDockingListener()

  Unlike the superclass MetalToolBarUI, this class uses the docking listener from the BasicToolBarUI.

  Overrides:
    `createDockingListener` in class `MetalToolBarUI`

### createRolloverBorder

    protected Border createRolloverBorder()

  Overrides:
    `createRolloverBorder` in class `MetalToolBarUI`

### setBorderToRollover

    protected void setBorderToRollover(Component c)

  Overrides:
    `setBorderToRollover` in class `BasicToolBarUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 JGoodies Karsten Lentzsch. All Rights Reserved.